MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029909Open CASCADE[OCCT] OCCT:Codingpublic2018-06-29 13:392018-07-08 12:00
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformDebian80 64 bitOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029909: Porting to Debian80-64 : Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products
Descriptionqtconcurrentfilter.h:108, GNU C Compiler 4 (gcc), Priority: Normal
typedef 'Iterator' locally defined but not used [-Wunused-local-typedefs]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029310closedbugmaster Coding - multiple compiler warnings in Inspectors 
child of 0029907assignedbugmaster Implementation of jenkins-test-12 with Debian80 64 bit 

-  Notes
(0077118)
bugmaster (administrator)
2018-06-29 13:41
edited on: 2018-06-29 13:43

These warnings block implementation of jenkins-test-12

http://jenkins-test-12.nnov.opencascade.com/view/JT-12/view/SAMPLES/job/JT-12-OCCT-Debian80-64-qt-samples-linux/1/warnings23Result/ [^]
http://jenkins-test-12.nnov.opencascade.com/view/JT-12/view/SAMPLES/job/JT-12-Products-Debian80-64-qt-samples-linux/1/warnings23Result/ [^]

(0077232)
kgv (developer)
2018-07-03 14:08
edited on: 2018-07-03 15:19

++ echo 'export QTDIR=/dn29/PRODUCTS/maintenance/opencascade-6.7.1/Debian80-64/qt-4.8.4'

For information - this bug in Qt headers is expected to be fixed since Qt 4.8.5 release:
https://bugreports.qt.io/browse/QTBUG-30594 [^]

(0077234)
git (administrator)
2018-07-03 14:32

Branch CR29909 has been created by kgv.

SHA-1: 76e822525d96aad1f41dfaab663cfe0a622bbe68


Detailed log of new commits:

Author: kgv
Date: Tue Jul 3 14:31:40 2018 +0300

    0029909: Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products on Debian80 64 bit
    
    Standard_WarningsDisable.hxx has been extended by ignoring -Wunused-local-typedefs within GCC compiler.
(0077235)
kgv (developer)
2018-07-03 15:19

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com/view/CR29909-master-KGV/view/SAMPLES/ [^]
(0077249)
abv (manager)
2018-07-04 01:03

No remarks, please integrate
(0077273)
bugmaster (administrator)
2018-07-04 18:05

qt was replaced by qt-5.9.1
(0077278)
bugmaster (administrator)
2018-07-04 21:19

Tested on jenkins-test-12
(0077358)
git (administrator)
2018-07-08 12:00

Branch CR29909 has been deleted by inv.

SHA-1: 76e822525d96aad1f41dfaab663cfe0a622bbe68

- Related Changesets
occt: master b2cd90e2
Timestamp: 2018-07-03 11:31:40
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029909: Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products on Debian80 64 bit

Standard_WarningsDisable.hxx has been extended by ignoring -Wunused-local-typedefs within GCC compiler.
mod - src/Standard/Standard_WarningsDisable.hxx Diff ] File ]
mod - src/Standard/Standard_WarningsRestore.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-06-29 13:39 bugmaster New Issue
2018-06-29 13:39 bugmaster Assigned To => nds
2018-06-29 13:41 bugmaster Note Added: 0077118
2018-06-29 13:41 bugmaster Status new => feedback
2018-06-29 13:41 bugmaster Relationship added child of 0029907
2018-06-29 13:43 bugmaster Note Edited: 0077118 View Revisions
2018-06-29 13:43 bugmaster Status feedback => assigned
2018-06-29 13:44 bugmaster Product Version => 7.3.0
2018-06-29 13:46 bugmaster Summary 0029908: Coding - qt compiler warnings in Samples in OCCT and Products on Debian80 64 bit => Coding - qt compiler warnings in Samples in OCCT and Products on Debian80 64 bit
2018-07-03 14:08 kgv Note Added: 0077232
2018-07-03 14:10 kgv Summary Coding - qt compiler warnings in Samples in OCCT and Products on Debian80 64 bit => Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products on Debian80 64 bit
2018-07-03 14:32 git Note Added: 0077234
2018-07-03 15:18 kgv Relationship added related to 0029310
2018-07-03 15:19 kgv Note Added: 0077235
2018-07-03 15:19 kgv Assigned To nds => abv
2018-07-03 15:19 kgv Status assigned => resolved
2018-07-03 15:19 kgv Note Edited: 0077232 View Revisions
2018-07-04 01:03 abv Note Added: 0077249
2018-07-04 01:03 abv Assigned To abv => bugmaster
2018-07-04 01:03 abv Status resolved => reviewed
2018-07-04 18:05 bugmaster Note Added: 0077273
2018-07-04 21:19 bugmaster Test case number => Not needed
2018-07-04 21:19 bugmaster Note Added: 0077278
2018-07-04 21:19 bugmaster Status reviewed => tested
2018-07-05 12:33 bugmaster Summary Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products on Debian80 64 bit => Porting to Debian80-64 : Coding - GCC compiler warnings in Qt headers while building Samples in OCCT and Products
2018-07-08 11:37 bugmaster Changeset attached => occt master b2cd90e2
2018-07-08 11:37 bugmaster Status tested => verified
2018-07-08 11:37 bugmaster Resolution open => fixed
2018-07-08 12:00 git Note Added: 0077358


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker